
orx=96;
ory=71;     
orz=1.6;

sz=4.5;
sp=10.0;
xf=0.6; //spc led strt
cif=(orx-xf*2+sp/2)/4 + .05;
siz=cif-sp;
yoo=8.95+7.5; //9.45
deltay=1.95+.22;
sy=ory-(yoo + deltay);

dx=-cif*2 + sp/2;
dy=-sy/2 + deltay;


bord8888(4,0);


module bord8888(prof,dp)
{
 doppio=dp;
 difference()
 {
  translate([-sz/2,-sz/2]){ 
    for ( i = [-2*doppio*dp : 3+2*doppio*dp] ){
            translate([dx+cif*i, dy])
              Draw8(siz,sy,sz,0,prof,0);
    }
  }
  //hole 8888
  translate([-sz/2,-sz/2,-.1]){ 
    for ( i = [-2*doppio*dp : 3+2*doppio*dp] ){
              translate([dx+cif*i, dy])
                Draw8(siz,sy,sz,1,prof+3,0);
    }
  } 

 }
}




//
// 888888888888888
//
//======================================================
module Draw8(ww,hh,pt,ins,z,minigrid)
{
    pt2=pt/2;
    w=ww;//-ins*2-pt;
    h=(hh-pt*3)/2;
    h2=h+pt; //-ins*2;
    pc=pt-ins*2;
    if (ins==10) 
    //color("red") 
    {
       translate([pt,-pt2/2])
         rotate([0,0,45])
           cube([1,pt*2-pt2/2,z]);        
       translate([ww-pt2/4,-pt2/4])
         rotate([0,0,-45])
           cube([1,pt*2-pt2/2,z]);        
    }
    //i 3 orizzontali
    translate([pt2,pt2]) {
      scube(w,pc,z,ins,pt,minigrid);
    }
    translate([pt2,pt2+h+pt]) {
      scube(w,pc,z,ins,pt,minigrid);
    }
    translate([pt2,pt2+(h+pt)*2]) {
      scube(w,pc,z,ins,pt,minigrid);
    }
    //2 laterali
    translate([pt2,pt2]) {
     lcube(pc,h2,z,ins,pt,minigrid);
    }
    translate([pt2,pt2*3+h]) {
     lcube(pc,h2,z,ins,pt,minigrid);
    }
    //2 laterali
    translate([ww+pt2,pt2]) {
     lcube(pc,h2,z,ins,pt,minigrid);
    }
    translate([ww+pt2,pt2*3+h]) {
     lcube(pc,h2,z,ins,pt,minigrid);
    }
    
}

module scube(w,h,z,ins,pt,minigrid)
{
    pta=pt/2;
    {
      difference() {
          union(){
          linear_extrude(height = z)
    polygon([[ins,0],[pta+ins,pta-ins+1],[w-pta-1,pta-ins+1],[w-ins*2+1,0],[w-pta-ins,-(pta-ins)-1],[pta+ins,-(pta-ins)-1]],paths=[[0,1,2,3,4,5]]);
          }
          union() {
              //non funge
              if ((ins==1) && (minigrid>0)) {
                color("red")
                translate([0,-1,0])
                  cube([w,2,minigrid]);
                //cube([x+2,y+1,z]);
              }
          }
      }
    }
    //translate([0.5,0.5])
}

module lcube(w,h,z,ins,pt,minigrid)
{
    pta=pt/2;
    {
      linear_extrude(height = z)
    polygon([[0,ins*1-.5],[pta-ins+1,pta+ins/2],[pta-ins+1,h-pta-ins],[0,h-ins*1.5+1],[-(pta-ins)-1,h-pta-ins/2],[-(pta-ins)-1,pta+ins]],paths=[[0,1,2,3,4,5]]);
        //cube([x+2,y+1,z]);
    }
}

